#include<iostream>
#include<cstring>
using namespace std;

int main(){
ios_base::sync_with_stdio(0);
cin.tie(0);
cout.tie(0);
int n;
cin>>n;
int stawali[n];
for(int z=0;z<n;z++){
    char niz[8000];
    cin>>niz;
    int nizl=strlen(niz),na1=0;
    int vsickibukwi['z'-'A'+1]={0};
    for(int i=0;i<nizl;i++){
        vsickibukwi[(int)niz[i]-(int)'A']++;
    }
    for(int i=0;i<nizl;i++){
        if(vsickibukwi[(int)niz[i]-(int)'A']%2!=0){
            na1++;
        }
    }
    if(na1==1||na1==0){
        stawali[z]=1;
    }else{
        stawali[z]=0;
    }
}
for(int i=0;i<n;i++){
    cout<<stawali[i];
}
return 0;
}
